/* $Id: vmimgextraction.h,v 1.2 2010/10/14 15:54:36 bristowp Exp $
 *
 * This file is part of the VIMOS Pipeline
 * Copyright (C) 2002-2004 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: bristowp $
 * $Date: 2010/10/14 15:54:36 $
 * $Revision: 1.2 $
 * $Name: vimos-2_9_3 $
 */

#ifndef VM_IMGEXTRACTION_H
#define VM_IMGEXTRACTION_H

#include <pilmacros.h>

#include <vmimage.h>
#include <vmtable.h>
#include <vmwcsutils.h>

 
PIL_BEGIN_DECLS

int *VmSearchMatches(VimosTable *, VimosTable *, double, double, double,
		     float, int, int *);
VimosTable *VmImStarCat(VimosImage *, char *, double, int);
VimosTable *VmImDetectObjects(VimosImage *, VimosImage *);
VimosTable *VmImBuildGalaxyTable(VimosTable *, VimosImage *);
VimosTable *VmImBuildStarTable(VimosTable *, float, float);
VimosTable *VmImBuildStarMatchTable(VimosImage *, VimosTable *, VimosTable *,
				    int, double, double, double, float);
VimosTable *VmImBuildStarMatchTable_skyccd(VimosImage *, VimosTable *, VimosTable *,
				    int, double, double, double, float);

PIL_END_DECLS
 
#endif /* VM_IMGEXTRACTION_H */
